Arch WändeZusammenführen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch MergeWalls and the translation is 69% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch CloseHoles.svg Schließe Löcher Vorherige:
Nächste: Überprüfung Arch Check.svg Arrow-right.svg

Arch MergeWalls.svg Arch WändeZusammenführen

Menüeintrag
Arch → Dienstprogramme → Wände zusammenführen
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch Wand

Beschreibung

Das Wände zusammenführen Werkzeug verschmilzt zwei oder mehr ausgewählte Arch Wall.svgArch Wände.

Anwendung

  1. Wähle zwei oder mehr Wände.
  2. Drücke die Arch MergeWalls.svg Schaltfläche, oder verwende den ArchDienstprogrammeArch MergeWalls.svg Wände zusammenführen aus dem oberen Menü.

Eigenschaften

Begrenzungen

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Dieses Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

base = joinWalls(walls, delete=False)

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])
Arrow-left.svg Arch CloseHoles.svg Schließe Löcher Vorherige:
Nächste: Überprüfung Arch Check.svg Arrow-right.svg